HASHER(1)

NAME
hasher - Block based hashing utility

SYNOPSIS
hasher [-gco] [-h] [-a algorithm] [-s str] [-S offset] [-E offset] [-L length] [-b size] [-q] [-V] [-v] [source] [hash-file]

DESCRIPTION
This program is part of the radare project.

Hasher allows you to calculate, check and show the hash values of each block of a target file. The block size is 32768 bytes by default. It's allowed to hash from stdin using '-' as a target file.

You can hash big files by hashing each block and later determine what part of it has been modified. Useful for filesystem analysis.

This command can be used to calculate hashes of a certain part of a file or a command line passed string.

This is the command used by the '#' command of radare.

-g  (action) Generate the hashing file from the source.

-c  (action) Checks and show block differences between the target file against the previous generated hashing file.

-o  (action) Outputs the contents of the hash file.

-a algo
    Select an algorithm for the hashing. Valid values are md5, crc32 and sha1

-s string
    Hash this string instead of using the 'source' and 'hash-file' arguments.

-S offset
    Define a starting offset for hashing.

-E offset
    Define the ending offset for hashing.

-L length
    Define the ending offset from the starting one plus length.

-b size
    Sets the block size to be used for the hashing.

-q  Quite mode. This flag can be combined with the '-v' flag too for a quite verbose output.

-v  Show version information.

-v  Verbose output.

-h  Show usage help message.

SEE ALSO

radiff(1), radare(1), radarerc(5), rabin(1), rfile(1), rsc(1), rasc(1), rasm(1), xc(1), xrefs(1)

AUTHORS

pancake <pancake@youterm.com>